Qt 5.9 | Qt GUI | C++ Classes | QRasterWindow

Qt 5.9.9 Reference Documentation

# QRasterWindow Class

QRasterWindow is a convenience class for using QPainter on a QWindow More...

Header: | #include <QRasterWindow>
qmake: | QT += gui
Since: | Qt 5.4
Inherits: | QPaintDeviceWindow

- List of all members, including inherited members

## Public Functions

| QRasterWindow(QWindow *parent = Q_NULLPTR)
| ~QRasterWindow()

- 2 public functions inherited from QPaintDeviceWindow
- 80 public functions inherited from QWindow
- 14 public functions inherited from QPaintDevice
- 6 public functions inherited from QSurface

### Additional Inherited Members

- 16 properties inherited from QWindow
- 1 public slot inherited from QPaintDeviceWindow
- 22 public slots inherited from QWindow
- 18 signals inherited from QWindow
- 1 static public member inherited from QWindow
- 1 protected function inherited from QPaintDeviceWindow
- 18 protected functions inherited from QWindow
- 1 protected function inherited from QPaintDevice

## Detailed Description

QRasterWindow is a convenience class for using QPainter on a QWindow

QRasterWindow is a QWindow with a raster-based, non-OpenGL surface. On top of the functionality offered by QWindow, QRasterWindow adds a virtual paintEvent() function and the possibility to open a QPainter on itself. The underlying paint engine will be the raster one, meaning that all drawing will happen on the CPU. For performing accelerated, OpenGL-based drawing, use QOpenGLWindow instead.

Internally the class is thin wrapper for QWindow and QBackingStore and is very similar to the Raster Window Example that uses these classes directly.

See also QPaintDeviceWindow::paintEvent() and QPaintDeviceWindow::update().

## Member Function Documentation

### QRasterWindow::QRasterWindow(QWindow *parent = Q_NULLPTR)

Constructs a new QRasterWindow with parent.

### QRasterWindow::~QRasterWindow()

Destroys the instance of QRasterWindow.